/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JPanel.java to edit this template
 */
package vista;

import java.awt.Color;
import java.awt.event.ActionListener;

/**
 *
 * @author Ashley
 */
public class JpnlInicioSesion extends javax.swing.JPanel {

    /**
     * Creates new form JpnlInicioSesion
     */
    public JpnlInicioSesion() {
        initComponents();
        setTransparencia();
    }//Fin constructor

    public void escuchar(ActionListener controladorFrmInicioSesion) {
        btnIniciarSesion.addActionListener(controladorFrmInicioSesion);
        btnInvitado.addActionListener(controladorFrmInicioSesion);
    }//Fin escuchar

    public void setTransparencia() {
        txtUsuario.setOpaque(false);
        txtUsuario.setBackground(new Color(0, 0, 0, 0));
        txtContrasena.setOpaque(false);
        txtContrasena.setBackground(new Color(0, 0, 0, 0));
    }//Fin setTransparencia

    public void setTxtUsuario(String usuario) {
        this.txtUsuario.setText(usuario);
    }//Fin setTxtUsuario

    public String getTxtUsuario() {
        if (txtUsuario.getText().equals("")) {
            return "Nada";
        }//Fin if
        else {
            return txtUsuario.getText();
        }//Fin else
    }//Fin getTxtUsuario

    public void setTxtContrasena(String usuario) {
        this.txtContrasena.setText(usuario);
    }//Fin setTxtContrasena

    public String getTxContrasena() {
        if (txtContrasena.getText().equals("")) {
            return "Nada";
        }//Fin if
        else {
            return txtContrasena.getText();
        }//Fin else
    }//Fin getTxContrasena

    public void limpiar() {
        txtContrasena.setText("");
        txtUsuario.setText("");
    }//Fin limpiar

    /**
     * This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        txtContrasena = new javax.swing.JPasswordField();
        btnInvitado = new javax.swing.JButton();
        txtUsuario = new javax.swing.JTextField();
        btnIniciarSesion = new javax.swing.JButton();
        jlFondo = new javax.swing.JLabel();

        setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        txtContrasena.setForeground(new java.awt.Color(255, 255, 255));
        txtContrasena.setBorder(null);
        add(txtContrasena, new org.netbeans.lib.awtextra.AbsoluteConstraints(460, 490, 460, 40));

        btnInvitado.setActionCommand("invitado");
        btnInvitado.setBorderPainted(false);
        btnInvitado.setContentAreaFilled(false);
        add(btnInvitado, new org.netbeans.lib.awtextra.AbsoluteConstraints(707, 570, 210, 70));

        txtUsuario.setBackground(new java.awt.Color(153, 153, 153));
        txtUsuario.setForeground(new java.awt.Color(255, 255, 255));
        txtUsuario.setBorder(null);
        add(txtUsuario, new org.netbeans.lib.awtextra.AbsoluteConstraints(453, 360, 470, 40));

        btnIniciarSesion.setActionCommand("inicioSesion");
        btnIniciarSesion.setBorderPainted(false);
        btnIniciarSesion.setContentAreaFilled(false);
        add(btnIniciarSesion, new org.netbeans.lib.awtextra.AbsoluteConstraints(450, 570, 210, 70));

        jlFondo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/InicioSesion.png"))); // NOI18N
        add(jlFondo, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, -1));
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnIniciarSesion;
    private javax.swing.JButton btnInvitado;
    private javax.swing.JLabel jlFondo;
    private javax.swing.JPasswordField txtContrasena;
    private javax.swing.JTextField txtUsuario;
    // End of variables declaration//GEN-END:variables
}//Fin clase
